//importing geopath and json from D3
import { select, json, geoPath, geoNaturalEarth1} from 'd3';
import {feature} from 'topojson';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

//Creation of projection
const projection = geoNaturalEarth1();

//Path generator
const pathGenerator = geoPath().projection(projection);

//Path attached to svg at any specific location
svg.append('path')
		.attr('class', 'Sphere')
		.attr('d', pathGenerator({type: 'Sphere'}));


//Data link for accessing the data
json('https://unpkg.com/world-atlas@1/world/110m.json')
		.then(data => {
  
//countries variable used to parde the data
  			const countries = feature(data, data.objects.countries);
  
//datajoin which is used for the paths
  			svg.selectAll('path')
        		.data(countries.features)
  					.enter().append('path')
  					.attr('class', 'country')
  					.attr('d', pathGenerator)
		});









